<template>
  <div v-if="inLoginProcess" class="panel-container">
    <div class="panel">
      <iframe id="loginPanel" class="login-page" v-bind:src="loginUri"></iframe>
      <button @click="finishLogin" class="close-button">close</button>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions } from "vuex";

export default {
  computed: {
    ...mapState("account", ["loginUri", "inLoginProcess"])
  },

  methods: {
    ...mapActions("account", ["finishLogin"])
  }
};
</script>

<style lang="scss" scoped>
.panel-container {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 9999;
  background-color: rgba(0, 0, 0, 0.2);
  text-align: center;

  &:after {
    content: "";
    display: inline-block;
    width: 0px;
    vertical-align: middle;
    height: 100%;
  }
}

.panel {
  position: relative;
  display: inline-block;
  max-width: 335px;
  max-height: 530px;
  height: 100%;
  width: 100%;
  padding: 0;
  box-sizing: border-box;
  background-color: $color-white;
  text-align: left;
  vertical-align: middle;
}

.login-page {
  border: none;
  width: 100%;
}

.close-button {
  position: absolute;
  top: 10px;
  right: 10px;
  text-indent: -9999px;
  overflow: hidden;
  background: transparent;
  width: 32px;
  height: 32px;
  border: none;
  padding: 0;
  cursor: pointer;

  &:before,
  &:after {
    content: "";
    position: absolute;
    left: 30%;
    top: 50%;
    background: $color-secondary-black;
    height: 2px;
    border-radius: 1px;
    width: 40%;
    margin-top: -1px;
  }

  &:before {
    transform: rotateZ(45deg);
  }

  &:after {
    transform: rotateZ(-45deg);
  }

  &.theme-vip-member {
    background: rgba($color-skm-gold, 0.3);
  }
}

.login-page {
  position: relative;
  height: 100%;
  width: 100%;
}
</style>
